# see PR 78
# https://github.com/sphinx-contrib/sphinxcontrib-versioning/pull/78/commits/d6d0260e42223889aa1b14c742a3958279848a2d

--- sphinxcontrib/versioning/sphinx_.py.orig	2020-02-12 09:14:28.000000000 -0500
+++ sphinxcontrib/versioning/sphinx_.py	2020-02-12 09:15:04.000000000 -0500
@@ -6,7 +6,12 @@
 import os
 import sys

-from sphinx import application, build_main, locale
+from sphinx import application, locale
+try:
+    from sphinx import build_main
+except ImportError:
+    # Sphinx 1.7+ ImportError fix
+    from sphinx.cmd.build import build_main
 from sphinx.builders.html import StandaloneHTMLBuilder
 from sphinx.config import Config as SphinxConfig
 from sphinx.errors import SphinxError
